Eclipse Platform Release 3.7

## org.eclipse.ui.navigator
Class CommonViewerSiteFactory

    java.lang.Object
      org.eclipse.ui.navigator.CommonViewerSiteFactory

    public final class CommonViewerSiteFactory

extends Object

Allows clients to create `ICommonViewerSite` for a variety of contexts. The `ICommonViewerSite` may be used by the `NavigatorActionService` to allow customization for any `CommonActionProvider` used by a particular instance of the Common Navigator.

Since:
  3.2

Constructor Summary
`CommonViewerSiteFactory()`

Method Summary
`static ICommonViewerWorkbenchSite` `createCommonViewerSite(IEditorSite aEditorSite)`
`static ICommonViewerWorkbenchSite` `createCommonViewerSite(IViewSite aViewSite)`
`static ICommonViewerSite` `createCommonViewerSite(String anId, IPageSite aPageSite)`
`static ICommonViewerSite` `createCommonViewerSite(String anId, ISelectionProvider aSelectionProvider, Shell aShell)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonViewerSiteFactory

    public CommonViewerSiteFactory()

Method Detail

### createCommonViewerSite

    public static ICommonViewerWorkbenchSite createCommonViewerSite(IViewSite aViewSite)

  Parameters:
    `aViewSite` - The viewer site that should be delegated to to satisfy the contract of ICommonViewerSite.
  Returns:
    An ICommonViewerSite that delegates to the given parameter.

### createCommonViewerSite

    public static ICommonViewerWorkbenchSite createCommonViewerSite(IEditorSite aEditorSite)

  Parameters:
    `aEditorSite` - The editor site that should be delegated to to satisfy the contract of ICommonViewerSite.
  Returns:
    An ICommonViewerSite that delegates to the given parameter.

### createCommonViewerSite

    public static ICommonViewerSite createCommonViewerSite(String anId,
                                                           ISelectionProvider aSelectionProvider,
                                                           Shell aShell)

  Parameters:
    `anId` - The unique identifier corresponding to the abstract viewer for the returned ICommonViewerSite.
    `aSelectionProvider` - The selection provider that will initially be returned by `ICommonViewerSite.getSelectionProvider()`
    `aShell` - The shell that will be returned by `ICommonViewerSite.getShell()`
  Returns:
    An ICommonViewerSite that delegates to the given parameter.

### createCommonViewerSite

    public static ICommonViewerSite createCommonViewerSite(String anId,
                                                           IPageSite aPageSite)

  Parameters:
    `anId` - The unique identifier corresponding to the abstract viewer for the returned ICommonViewerSite.
    `aPageSite` - The page site that should be delegated to to satisfy the contract of ICommonViewerSite.
  Returns:
    An ICommonViewerSite that delegates to the given parameter.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.